LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06961Bug reports[All Projects] Tokenspublic2012-11-26 16:092012-12-04 13:16
Reporterlimalemon 
Assigned Tomdekker 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06961: CDbException unbuffered queries active when accessing survey or db analysis
DescriptionWhen I try to access the survey (via the link in the invitation email, or after inputing the token), I get the following error (also attached a save of the error I got):

CDbCommand failed to execute the SQL statement: SQLSTATE[HY000]: General error: 2014 Cannot execute queries while other unbuffered queries are active. Consider using PDOStatement::fetchAll(). Alternatively, if your code is only ever going to run against mysql, you may enable query buffering by setting the PDO::MYSQL_ATTR_USE_BUFFERED_QUERY attribute

The same error happens when I try to analyse the database.
Steps To ReproduceCreate survey;
Lauch survey;
Add tokens table;
Add tokens;
Send invitation email;
Access survey URL.

or:

Click the analyse database button.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121121
Browserany
Database & DB-VersionmySQL 5.0.22
Operating System (Server)Red Hat
Webserver software & versionApache/2.2.3
PHP Version5.1.6
Attached Fileszip file icon CDbException.html.zip [^] (5,259 bytes) 2012-11-26 16:10
zip file icon CDbException-checkintegrity.html.zip [^] (6,052 bytes) 2012-11-26 20:11

- Relationships

-  Notes
User avatar (22542)
mdekker (developer)
2012-11-26 16:17

Could you please attach the error for check integrity (database)?
User avatar (22543)
mdekker (developer)
2012-11-26 16:19

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10495 [^]
User avatar (22544)
mdekker (developer)
2012-11-26 16:19

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10496 [^]
User avatar (22545)
mdekker (developer)
2012-11-26 16:20

Unable to test but partial fix (only for runtime) committed.
User avatar (22551)
limalemon (reporter)
2012-11-26 20:11

The error for the check integrity is the file that I just uploaded
User avatar (22555)
mdekker (developer)
2012-11-26 21:31

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10499 [^]
User avatar (22556)
mdekker (developer)
2012-11-26 21:32

can you check using the last file for checkintegrity.php?
User avatar (22596)
mdekker (developer)
2012-11-27 09:27

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10505 [^]
User avatar (22621)
mdekker (developer)
2012-11-28 14:01

Please open a new issue if this error occurs in some other place. We need to fix all different statements, please attach the full error log like in this report as it really speeds up finding and fixing the erroneous statements.
User avatar (22875)
c_schmitz (administrator)
2012-12-04 13:16

LimeSurvey 2.0+ build 121204 released.

- Related Changesets
LimeSurvey: master e1079848
Timestamp: 2012-11-26 15:19:15
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 06961: CDbException unbuffered queries active when accessing survey or db analysis
mod - application/controllers/survey/index.php Diff ] File ]
mod - application/helpers/database_helper.php Diff ] File ]
LimeSurvey: 2.1 8acdca10
Timestamp: 2012-11-26 15:19:35
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 06961: CDbException unbuffered queries active when accessing survey or db analysis
mod - application/controllers/survey/index.php Diff ] File ]
mod - application/helpers/database_helper.php Diff ] File ]
LimeSurvey: master 160c5d25
Timestamp: 2012-11-26 20:31:06
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
fixed 06961: CDbException unbuffered queries active when accessing survey or db analysis
dev: seems that i only needed to remove old code that should have been removed anyway... merge error?
mod - application/controllers/admin/checkintegrity.php Diff ] File ]
LimeSurvey: 2.1 87bc38c4
Timestamp: 2012-11-27 08:26:52
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 06961: CDbException unbuffered queries active when accessing survey or db analysis
mod - application/controllers/admin/checkintegrity.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-26 16:09 limalemon New Issue
2012-11-26 16:10 limalemon File Added: CDbException.html.zip
2012-11-26 16:14 mdekker Assigned To => mdekker
2012-11-26 16:14 mdekker Status new => assigned
2012-11-26 16:17 mdekker Note Added: 22542
2012-11-26 16:18 mdekker Summary CDbException when accessing survey or db analysis => CDbException unbuffered queries active when accessing survey or db analysis
2012-11-26 16:19 mdekker Changeset attached => LimeSurvey master e1079848
2012-11-26 16:19 mdekker Note Added: 22543
2012-11-26 16:19 mdekker Resolution open => fixed
2012-11-26 16:19 mdekker Changeset attached => LimeSurvey 2.1 8acdca10
2012-11-26 16:19 mdekker Note Added: 22544
2012-11-26 16:20 mdekker Note Added: 22545
2012-11-26 20:11 limalemon File Added: CDbException-checkintegrity.html.zip
2012-11-26 20:11 limalemon Note Added: 22551
2012-11-26 21:31 mdekker Changeset attached => LimeSurvey master 160c5d25
2012-11-26 21:31 mdekker Note Added: 22555
2012-11-26 21:32 mdekker Note Added: 22556
2012-11-27 09:27 mdekker Changeset attached => LimeSurvey 2.1 87bc38c4
2012-11-27 09:27 mdekker Note Added: 22596
2012-11-28 14:01 mdekker Note Added: 22621
2012-11-28 14:01 mdekker Status assigned => resolved
2012-11-28 14:01 mdekker Fixed in Version => 2.00+
2012-12-04 13:16 c_schmitz Note Added: 22875
2012-12-04 13:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker